> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korve.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Replay Dead Letters

> Republish selected or all dead-letter messages and remove successfully accepted originals.



## OpenAPI

````yaml /openapi.json post /v1/orgs/{orgId}/projects/{projectId}/queues/{queueId}/dead-letters/replay
openapi: 3.1.0
info:
  title: Korve API
  version: 0.1.0
  description: >-
    Typed control plane for deploying applications and explicitly provisioning
    their managed infrastructure.
servers:
  - url: https://api.korve.dev
security: []
paths:
  /v1/orgs/{orgId}/projects/{projectId}/queues/{queueId}/dead-letters/replay:
    post:
      tags:
        - queues
      summary: Replay Dead Letters
      description: >-
        Republish selected or all dead-letter messages and remove successfully
        accepted originals.
      operationId: queues.replayDeadLetters
      parameters:
        - name: orgId
          in: path
          required: true
          schema:
            type: string
          description: The organization's id (UUID) or slug — either form is accepted.
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: The project's id (UUID) or slug — either form is accepted.
        - name: queueId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        x-korve-max-bytes: 64000
        content:
          application/json:
            schema:
              type: object
              properties:
                messageIds:
                  type: array
                  items:
                    type: string
                all:
                  type: boolean
              additionalProperties: false
      responses:
        '202':
          description: Replay accepted.
          content:
            application/json:
              schema:
                type: object
                properties:
                  accepted:
                    type: integer
                required:
                  - accepted
        '404':
          description: No such queue or message in this project.
        '422':
          description: Select messageIds or all, but not both.
      security:
        - apiKey: []
        - session: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: korve_api_key
    session:
      type: apiKey
      in: cookie
      name: korve.session_token

````